{{set . "title" "AttributeSet"}}
{{template "header.html" .}}

<header class="hero-unit">
    <div class="container">
        <div class="row">
            <div class="hero-text">
                <h1>AttributeSets</h1>
            </div>
        </div>
    </div>
</header>

<div class="container">
    <div class="row">
        <div class="col-md-12">
            {{template "flash.html" .}}
        </div>
        <div class="col-md-12">
            <div class="panel-header">
                <a href='{{url "AttributeSet.New"}}' class="btn btn-default">New</a>
            </div>
            <div class="panel panel-default">
                <div class="panel-body">
                    <div id="grid"></div>
                </div>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(function () {
        var dataManager2 = ej.DataManager({
            url: "/attribute-set/grid",
            crossDomain: true,
            removeUrl: "/attribute-set/delete",
            adaptor: new ej.UrlAdaptor()
        });

        $("#grid").ejGrid({
            dataSource: dataManager2,
            allowPaging: true,
            allowSorting: true,
            allowFiltering: true,
            isResponsive: true,
            pageSettings: {pageSize: 10},
            filterSettings: {
                filterType: "menu"
            },
            toolbarSettings: {
                showToolbar: true,
                toolbarItems: [ej.Grid.ToolBarItems.Delete]
            },
            editSettings: {
                allowEditing: true,
                allowDeleting: true
            },
            columns: [
                {type: "checkbox", width: 50},
                {
                    field: "name",
                    headerText: 'Name',
                    type: "string"
                },
                {
                    field: "ID",
                    headerText: 'ID',
                    type: "number"
                },
                {
                    field: "CreatedAt",
                    headerText: 'Created At',
                    format: "{0:MM/dd/yyyy}",
                    type: "date"
                },
                {
                    field: "UpdatedAt",
                    headerText: 'Updated At',
                    format: "{0:MM/dd/yyyy}"
                },
                {
                    headerText: "",
                    template: "<a href='/attribute-set/{^{:ID}}'>Edit</a>"
                },
            ]
        });
    });
</script>
{{template "footer.html" .}}
